@import '../../../style/animation';

:host {
  display: flex;
  flex-direction: column;
  text-align: center;
  height: 100%;

  form {
    display: flex;
    align-items: center;
    flex-direction: column;

    .mat-form-field {
      width: 15rem;
    }
  }

  section {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .table-wrapper {
    overflow-x: auto;
    flex-grow: 1;
    $padding: .125rem;
    padding: $padding;
    margin: 0 -$padding;
  }

  table {
    width: 100%;
    min-width: 40rem;
    box-shadow:
      0 3px 1px -2px rgba(0, 0, 0, .2),
      0 2px 2px 0px rgba(0, 0, 0, .14),
      0 1px 5px 0px rgba(0, 0, 0, .12);
    border-radius: .25rem;
    overflow: hidden;

    th.logo {
      padding-left: 1rem;
    }

    td {
      &.mat-cell {
        text-align: left;

        &.actions {
          text-align: right;
        }
      }

      &.ghost {
        padding: .5rem;
        div {
          @include animate-ghost-line;
          height: 1.5rem;
          border-radius: 0.5rem;
        }
      }

      figure {
        $logo-size: 2rem;
        $logo-horizontal-margin: .5rem;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0 .25rem;
        width: #{$logo-size + 2 * $logo-horizontal-margin};
        height: $logo-size;

        img {
          margin: 0 $logo-horizontal-margin;
          max-width: $logo-size;
          max-height: $logo-size;
        }

        figcaption {
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
  }

  mat-paginator {
    border-radius: .25rem;
    box-shadow:
      0 3px 1px -2px rgba(0, 0, 0, .2),
      0 2px 2px 0px rgba(0, 0, 0, .14),
      0 1px 5px 0px rgba(0, 0, 0, .12);
  }
}
